@import "compass/css3/images"

// Menu/Navigation SASS

.main-menu
	margin-left: 52px
	float: left
	z-index: 3

	ul
		position: relative

		li
			position: relative
			display: inline-block

			vertical-align: top
			padding: 5px 10px 4px 10px
			border-right: 1px solid $border-color-dark

			&:hover
				cursor: default

				ul
					display: block

			ul
				position: absolute
				display: none
				width: 200px

				margin: 4px 0 0 -14px

				border: 1px solid $border-color-dark
				border-radius: 0 0 3px 3px
				box-shadow: 0 2px 3px $weak_shadow_color
				background: #fff

				z-index: 4

				li
					display: block
					border: none
					border-top: 1px solid $border-color-light
					padding: 0

					&:first-child
						border: none

					&:last-child
						border-top: 1px solid $border-color-light

					&.meta
						padding: 4px 0 4px 8px

					a
						border: none
						display: block
						padding: 6px 0 6px 8px
						text-transform: capitalize

						span
							vertical-align: middle

						&:hover
							background: #f5f5f5

					.nav-seg-span
						margin-left: 8px


#dojo-quicklink-internal
	li
		position: relative
		&.selected
			box-shadow: inset 0 0 2px $weak-shadow-color
			border-radius: 2px 4px  0 0
			background-color: #f2f2f2
			border-right: 1px solid $border-color-light
			border-left: 1px solid $border-color-light

a
	&.external
		background: url(../../icons/external_link.gif) right center no-repeat
		padding-right: 16px
